### Enumeration

# Gtk ResponseType

since: 4.0

#### Declaration

    enum Gtk.ResponseType

#### Description [src]

Predefined values for use as response ids in gtk_dialog_add_button().

All predefined values are negative; GTK leaves values of 0 or greater for application-defined response ids.

Available since: 4.0

#### Members

`GTK_RESPONSE_NONE`

  Returned if an action widget has no response id, or if the dialog gets programmatically hidden or destroyed.

  - Value: `-1`
  - Nickname: `none`
  - Available since: 4.0
`GTK_RESPONSE_REJECT`

  Generic response id, not used by GTK dialogs.

  - Value: `-2`
  - Nickname: `reject`
  - Available since: 4.0
`GTK_RESPONSE_ACCEPT`

  Generic response id, not used by GTK dialogs.

  - Value: `-3`
  - Nickname: `accept`
  - Available since: 4.0
`GTK_RESPONSE_DELETE_EVENT`

  Returned if the dialog is deleted.

  - Value: `-4`
  - Nickname: `delete-event`
  - Available since: 4.0
`GTK_RESPONSE_OK`

  Returned by OK buttons in GTK dialogs.

  - Value: `-5`
  - Nickname: `ok`
  - Available since: 4.0
`GTK_RESPONSE_CANCEL`

  Returned by Cancel buttons in GTK dialogs.

  - Value: `-6`
  - Nickname: `cancel`
  - Available since: 4.0
`GTK_RESPONSE_CLOSE`

  Returned by Close buttons in GTK dialogs.

  - Value: `-7`
  - Nickname: `close`
  - Available since: 4.0
`GTK_RESPONSE_YES`

  Returned by Yes buttons in GTK dialogs.

  - Value: `-8`
  - Nickname: `yes`
  - Available since: 4.0
`GTK_RESPONSE_NO`

  Returned by No buttons in GTK dialogs.

  - Value: `-9`
  - Nickname: `no`
  - Available since: 4.0
`GTK_RESPONSE_APPLY`

  Returned by Apply buttons in GTK dialogs.

  - Value: `-10`
  - Nickname: `apply`
  - Available since: 4.0
`GTK_RESPONSE_HELP`

  Returned by Help buttons in GTK dialogs.

  - Value: `-11`
  - Nickname: `help`
  - Available since: 4.0